<?php
 // === Classe ConstantesMagiques ===
 class ConstantesMagiques
 { // -- Constructeur --
   function __construct()
   {
    echo "__LINE__ = ".__LINE__.PHP_EOL;
    echo "__FILE__ = ".__FILE__.PHP_EOL;
    echo "__DIR__ = ".__DIR__.PHP_EOL;
    echo "__FUNCTION__ = ".__FUNCTION__.PHP_EOL;
    echo "__CLASS__ = ".__CLASS__.PHP_EOL;
    echo "__TRAIT__ = ".__TRAIT__.PHP_EOL;
    echo "__METHOD__ = ".__METHOD__.PHP_EOL;
    echo "__NAMESPACE__ = ".__NAMESPACE__.PHP_EOL;
   }
 }
 // === Programme ===
 $un_objet = new ConstantesMagiques();
 unset ($un_objet);
?>
